#!/bin/bash
set +ex

date --utc --iso-8601=seconds | xargs echo "[timestamp] Start time :"

# can't enable the "standalone" demos yet
#demo_client_list=`dpkg-query -L mir-demos | grep -e mir_demo_client_ -e mir_demo_standalone_ | sed s_/usr/bin/__`
demo_client_list=`dpkg-query -L mir-demos | grep -e mir_demo_client_ | sed s_/usr/bin/__`
test_client_list=`dpkg-query -L mir-test-tools | grep -e mir_test_client_ | sed s_/usr/bin/__`
mir_rc=0
timeout=3
shutdown_timeout=10
root=

# for testing it is convinent to specify the bin directory
if [ $# -eq 1 ];
then
    root=$1/
fi

echo "I: demo_client_list=" $demo_client_list

### Run Tests ###

for client in $demo_client_list $test_client_list; do
    echo running client $client
    date --utc --iso-8601=seconds | xargs echo "[timestamp] Start :" $client
    echo ${root}mir_demo_server --test-timeout=$timeout --shutdown-timeout=$shutdown_timeout --test-client $root$client
    if ! ${root}mir_demo_server --test-timeout=$timeout --shutdown-timeout=$shutdown_timeout --test-client $root$client ; then
      echo "I: [FAILED]" $root$client
      failures="$failures $client"
      mir_rc=-1
   fi
   date --utc --iso-8601=seconds | xargs echo "[timestamp] End :" $client
done

date --utc --iso-8601=seconds | xargs echo "[timestamp] End time :"

if [ -n "$failures" ]
then
    echo "I: The following clients failed to execute successfully:"
    for client in $failures; do
        echo "I:     $client"
    done
fi
echo "I: Smoke testing complete with returncode $mir_rc"
exit $mir_rc
