#!/bin/bash
set -ex

retry_on_failure()
{
    $@ || (sleep 30; $@) || (sleep 30; $@)
}

date --utc --iso-8601=seconds | xargs echo "[timestamp] Start time :"

# This file gets touched if all setup passes
rm /.setup_complete || true

HOME_DIR="/home/phablet"

( cd $HOME_DIR/archive && apt-ftparchive packages . > Packages )
echo "deb file://$HOME_DIR/archive ./" > /etc/apt/sources.list.d/test-mir-packages.list

#make sure to pin more highly than the overlay from vivid+overlay
printf "Package: *\nPin: origin \"\"\nPin-Priority: 1100\n" > /etc/apt/preferences.d/test-mir-package.pref

retry_on_failure apt-get update

date --utc --iso-8601=seconds | xargs echo "[timestamp] Pre install :"

retry_on_failure apt install -o Debug::pkgProblemResolver=1 --force-yes -y \
    $(ls $HOME_DIR/archive/*.deb | xargs basename -a | cut -f1 -d'_') \
    glmark2-data \
    glmark2-es2-mir \
    umockdev

touch /.setup_complete
date --utc --iso-8601=seconds | xargs echo "[timestamp] End time :"
